ImmobiNet
ImmobiNet API Docs - Properties

Reference lists (types) used by the other resources.


Get list of residence types

GET
/api/v1/residence-types
basic

Get list of types of residences Requires the API key scope properties:read.

Get list of residence types › Responses

OK

code
​string

Code of the residence type, the value of type of the residences (e.g. residence).

name
​string

Name of the residence type, to show (e.g. Residence turistico).


Get list of property categories

GET
/api/v1/property-categories
basic

Get the categories of the properties (e.g. apartment, villa), with their destination. Requires the API key scope properties:read.

Get list of property categories › Responses

OK

code
​string

Code of the category, the value of category of the properties (e.g. appartamento).

name
​string

Name of the category, to show (e.g. Appartamento).

destination
​string · enum

Use of the properties of the category.

Enum values:
residential
commercial
holiday

Get the catalog of the facilities

GET
/api/v1/facilities
basic

Reference catalog of all the facilities available in ImmobiNet, with their name in every language. The facilities of a residence or of a property refer to it by facility. Requires the API key scope properties:read.

Get the catalog of the facilities › Responses

Get facility attributes list

A facility of the catalog.
code
​string

Code of the facility, the value of facility of the facilities of residences and properties (e.g. adatto_disabili).

Name of the facility to show, one for each language of the installation.


Get list of attachment types

GET
/api/v1/attachment-types
basic

Requires the API key scope properties:read.

Get list of attachment types › Responses

Get attachments types list

code
​string

Code of the attachment type.

name
​string

Name of the attachment type, to show.